summaryrefslogtreecommitdiff
path: root/test-suite/misc/poly-capture-global-univs.sh
diff options
context:
space:
mode:
Diffstat (limited to 'test-suite/misc/poly-capture-global-univs.sh')
-rwxr-xr-xtest-suite/misc/poly-capture-global-univs.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/test-suite/misc/poly-capture-global-univs.sh b/test-suite/misc/poly-capture-global-univs.sh
new file mode 100755
index 00000000..e066ac03
--- /dev/null
+++ b/test-suite/misc/poly-capture-global-univs.sh
@@ -0,0 +1,19 @@
+#!/usr/bin/env bash
+
+set -e
+
+export COQBIN=$BIN
+export PATH=$COQBIN:$PATH
+
+cd misc/poly-capture-global-univs/
+
+coq_makefile -f _CoqProject -o Makefile
+
+make clean
+
+make src/evil_plugin.cmxs
+
+if make; then
+ >&2 echo 'Should have failed!'
+ exit 1
+fi